id: trip-phish

info:
  name: trip phishing Detection
  author: rxerium
  severity: info
  description: |
    A trip phishing website was detected
  reference:
    - https://trip.com
  metadata:
    max-request: 1
  tags: phishing,trip,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Trip.com: Book cheap flights, hotels, car rentals, trains and more'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"trip.com")'
# digest: 490a004630440220140fe8942d1f971b838d88870c8b8badef2c95a2561614290eb7edbb749daa7002204839c68e8aba351cc3c789cc60d6ea2c1d34fa1707ac6cb94b95610d75ac9850:922c64590222798bb761d5b6d8e72950